
uniform sampler3D u_img3_vol ;
uniform sampler3D u_img3_flg ;
uniform sampler3D u_img3_mask;
uniform sampler1D u_img1_tf  ;
uniform sampler1D u_img1_psu ;

uniform float     u_alpha      ;
uniform int       u_doPsuedo   ;
uniform vec4      u_texCdOfst  ; //(x,y,z,0)
uniform vec4      u_eyePos     ;

uniform vec3      u_center     ;
uniform float     u_radi       ;
uniform float     u_minPhi     ;
uniform float     u_maxPhi     ;

varying vec3 globalPos;

const float COEF_1_255     = 0.00392;
const float COEF_1_255_2   = 0.00196;
const float THRESH_NO_MASK = COEF_1_255  ;
const float THRESH_FORE    = COEF_1_255 * 254 + COEF_1_255_2;

#define M_PI 3.1415926535897932384626433832795

void main(void)
{
	float3 v = globalPos - u_center;
	float  L = length(v) ;
	float  r = L / u_radi;

	v = v / L;
	float phi = (asin(v.z) - u_minPhi) / (u_maxPhi - u_minPhi);
    float the = (atan(v.y, v.x) + M_PI) / (2*M_PI);

    float imgI    = texture3D(u_img3_vol, float3(r,the,phi)).x;
	gl_FragColor  = vec4(imgI, imgI, imgI, 1 );
}
